/*
 * OCSP responder
 * by Massimiliano Pala (madwolf@openca.org)
 * OpenCA project 2001
 *
 * Copyright (c) 2001 The OpenCA Project.  All rights reserved.
 *
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

#define MAX_IN_LINES	16536

/* Custom structures */
typedef struct http_request {
		int method;		/* 0 = GET ; 1 = PUT */
		int version;		/* HTTP ver 0 = 1.0 ; 1 = 1.1 */
		long header_size;
		long data_size;
		char *content_type;
		char *target;
		char *data;
	} HTTP_REQUEST;

typedef struct in_lines
	{
		long lines;
		char **ln_pnt;
	} IN_LINES;


/* Functions */

HTTP_REQUEST *parse_http_request ( char *req, long size );

