/*
 * OCSP responder
 * by Massimiliano Pala (madwolf@openca.org)
 * OpenCA project 2001
 *
 * Copyright (c) 2001 The OpenCA Project.  All rights reserved.
 *
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

/* Functions */

/*
int make_ocsp_response(OCSP_RESPONSE **resp, OCSP_REQUEST *req, TXT_DB *db,
			X509 *ca, X509 *rcert, EVP_PKEY *rkey,
			STACK_OF(X509) *rother, unsigned long flags,
			int nmin, int ndays);
*/

int make_ocsp_response(OCSP_RESPONSE **resp, OCSP_REQUEST *req, 
			OCSPD_CONFIG *conf);

X509_CRL_ENTRY *ocsp_crl_get_entry( ASN1_INTEGER *serial, X509_CRL *crl );
int X509_CRL_ENTRY_free( X509_CRL_ENTRY *e );
