/* src/net/server.c 
 * ============================================================
 * OCSP Responder
 * (c) 2001 by Massimiliano Pala
 * OpenCA released software
 * ============================================================
 */
 
#include "general.h"

#ifdef __Linux__
#include <resolv.h>
#endif
#include <sys/types.h>
#include <sys/socket.h>

#include <openssl/err.h>
#include <openssl/ssl.h>

#include <openssl/conf.h>
#include <openssl/txt_db.h>

#include "support.h"
#include "ocsp_response.h"
#include "http_request.h"
#include "server.h"

/* Functions prototypes */

/* External General Variables */
extern int debug;
extern int verbose;


int initialize_socket( int port, struct socketadd_in *sin ) {
	int serverSocket;
	int tmp_socket;
	int address_size;

	serverSocket = socket(AF_INET, SOCK_STREAM, 0);
	bzero( &sin, sizeof(sin));

	sin->sin_family = AF_INET;
	sin->sin_addr.s_addr = INADDR_ANY;
	sin->sin_port = htons ( port );
	sin->sin_addr.s_addr = htonl(INADDR_ANY);

	bind( serverSocket, (struct sockaddr_in *)sin,
			sizeof(struct sockaddr_in));

	return serverSocket;
}

int handleConnection( serverSocket ) {
}

